<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AmmoEffects Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d46/class_ammo_effects.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AmmoEffects Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d4/daf/class_static.html">Static</a> data holder for certain ammo config values.  
 <a href="../../db/d46/class_ammo_effects.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Ammo particles</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Methods regarding getting/playing ammo particle </p>
</div></td></tr>
<tr class="memitem:adee4b8fc84a13d55aae2b6893d726573"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#adee4b8fc84a13d55aae2b6893d726573">GetAmmoParticleID</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType)</td></tr>
<tr class="memdesc:adee4b8fc84a13d55aae2b6893d726573"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> ID for the particle for this ammoType.  <a href="../../db/d46/class_ammo_effects.html#adee4b8fc84a13d55aae2b6893d726573">More...</a><br /></td></tr>
<tr class="separator:adee4b8fc84a13d55aae2b6893d726573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2b8033a2ba4fe8b10a40c67b32a159f"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#ad2b8033a2ba4fe8b10a40c67b32a159f">PlayAmmoParticle</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos)</td></tr>
<tr class="memdesc:ad2b8033a2ba4fe8b10a40c67b32a159f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attempt to play the ammo particle at pos if found, returns true on success.  <a href="../../db/d46/class_ammo_effects.html#ad2b8033a2ba4fe8b10a40c67b32a159f">More...</a><br /></td></tr>
<tr class="separator:ad2b8033a2ba4fe8b10a40c67b32a159f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Ammo effects</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Methods regarding getting/playing ammo effect </p>
</div></td></tr>
<tr class="memitem:ab1feb8ed62283ea32391fc565e3a583f"><td class="memItemLeft" align="right" valign="top">static&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#ab1feb8ed62283ea32391fc565e3a583f">GetAmmoEffectTypename</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType)</td></tr>
<tr class="memdesc:ab1feb8ed62283ea32391fc565e3a583f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the typename for the effect for this ammoType.  <a href="../../db/d46/class_ammo_effects.html#ab1feb8ed62283ea32391fc565e3a583f">More...</a><br /></td></tr>
<tr class="separator:ab1feb8ed62283ea32391fc565e3a583f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a246b7941c287c47844af92ffffc95754"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#a246b7941c287c47844af92ffffc95754">PlayAmmoEffect</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos)</td></tr>
<tr class="memdesc:a246b7941c287c47844af92ffffc95754"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attempt to play the ammo effect at pos if found, returns true on success.  <a href="../../db/d46/class_ammo_effects.html#a246b7941c287c47844af92ffffc95754">More...</a><br /></td></tr>
<tr class="separator:a246b7941c287c47844af92ffffc95754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Lifetime</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Creation and cleanup </p>
</div></td></tr>
<tr class="memitem:ad41efa3f84253dc27ac4f9d7ba1a2bf0"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#ad41efa3f84253dc27ac4f9d7ba1a2bf0">Init</a> ()</td></tr>
<tr class="memdesc:ad41efa3f84253dc27ac4f9d7ba1a2bf0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the containers: this is done this way, to have these not exist on server.  <a href="../../db/d46/class_ammo_effects.html#ad41efa3f84253dc27ac4f9d7ba1a2bf0">More...</a><br /></td></tr>
<tr class="separator:ad41efa3f84253dc27ac4f9d7ba1a2bf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc1670895878677f9ea10a8587ef0236"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#abc1670895878677f9ea10a8587ef0236">Cleanup</a> ()</td></tr>
<tr class="memdesc:abc1670895878677f9ea10a8587ef0236"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clean up the data.  <a href="../../db/d46/class_ammo_effects.html#abc1670895878677f9ea10a8587ef0236">More...</a><br /></td></tr>
<tr class="separator:abc1670895878677f9ea10a8587ef0236"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a820e9eb92c185f9940b04ea58b6d17ca"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#a820e9eb92c185f9940b04ea58b6d17ca">m_AmmoParticles</a></td></tr>
<tr class="memdesc:a820e9eb92c185f9940b04ea58b6d17ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key: Ammo class name; Data: <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> ID.  <a href="../../db/d46/class_ammo_effects.html#a820e9eb92c185f9940b04ea58b6d17ca">More...</a><br /></td></tr>
<tr class="separator:a820e9eb92c185f9940b04ea58b6d17ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49313e60526fb27206ec51970c28d934"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d46/class_ammo_effects.html#a49313e60526fb27206ec51970c28d934">m_AmmoEffects</a></td></tr>
<tr class="memdesc:a49313e60526fb27206ec51970c28d934"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key: Ammo class name; Data: <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> ID.  <a href="../../db/d46/class_ammo_effects.html#a49313e60526fb27206ec51970c28d934">More...</a><br /></td></tr>
<tr class="separator:a49313e60526fb27206ec51970c28d934"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d4/daf/class_static.html">Static</a> data holder for certain ammo config values. </p>
<dl class="section note"><dt>Note</dt><dd>Kept the names similar to what is in config, but it might be a little deceiving as this is mainly used for explosives </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abc1670895878677f9ea10a8587ef0236" name="abc1670895878677f9ea10a8587ef0236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc1670895878677f9ea10a8587ef0236">&#9670;&#160;</a></span>Cleanup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void AmmoEffects::Cleanup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clean up the data. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00128">128</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<a id="ab1feb8ed62283ea32391fc565e3a583f" name="ab1feb8ed62283ea32391fc565e3a583f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1feb8ed62283ea32391fc565e3a583f">&#9670;&#160;</a></span>GetAmmoEffectTypename()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static AmmoEffects::GetAmmoEffectTypename </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the typename for the effect for this ammoType. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00068">68</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<a id="adee4b8fc84a13d55aae2b6893d726573" name="adee4b8fc84a13d55aae2b6893d726573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adee4b8fc84a13d55aae2b6893d726573">&#9670;&#160;</a></span>GetAmmoParticleID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AmmoEffects::GetAmmoParticleID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> ID for the particle for this ammoType. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00021">21</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<a id="ad41efa3f84253dc27ac4f9d7ba1a2bf0" name="ad41efa3f84253dc27ac4f9d7ba1a2bf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad41efa3f84253dc27ac4f9d7ba1a2bf0">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void AmmoEffects::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the containers: this is done this way, to have these not exist on server. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00121">121</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<a id="a246b7941c287c47844af92ffffc95754" name="a246b7941c287c47844af92ffffc95754"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a246b7941c287c47844af92ffffc95754">&#9670;&#160;</a></span>PlayAmmoEffect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> AmmoEffects::PlayAmmoEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Attempt to play the ammo effect at pos if found, returns true on success. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00093">93</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<a id="ad2b8033a2ba4fe8b10a40c67b32a159f" name="ad2b8033a2ba4fe8b10a40c67b32a159f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2b8033a2ba4fe8b10a40c67b32a159f">&#9670;&#160;</a></span>PlayAmmoParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> AmmoEffects::PlayAmmoParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Attempt to play the ammo particle at pos if found, returns true on success. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00046">46</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a49313e60526fb27206ec51970c28d934" name="a49313e60526fb27206ec51970c28d934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49313e60526fb27206ec51970c28d934">&#9670;&#160;</a></span>m_AmmoEffects</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a>&gt; AmmoEffects::m_AmmoEffects</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Key: Ammo class name; Data: <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> ID. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<a id="a820e9eb92c185f9940b04ea58b6d17ca" name="a820e9eb92c185f9940b04ea58b6d17ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a820e9eb92c185f9940b04ea58b6d17ca">&#9670;&#160;</a></span>m_AmmoParticles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; AmmoEffects::m_AmmoParticles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Key: Ammo class name; Data: <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> ID. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d9/dee/_ammo_effects_8c_source.html">AmmoEffects.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d46/class_ammo_effects.html">AmmoEffects</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
